Jump to content
Corsair Community

iCUE - Please Read Before Installing


Corsair CJ
 Share

Recommended Posts

  • Corsair Employees

CORSAIR LINK™ and CUE users

If you are currently using CORSAIR LINK™ you MUST update to the latest version (4.9.6.19 or newer). This can be found HERE.

If you are using CUE, installing iCUE will automatically replace your CUE software and migrate settings.

 

For a full list of iCUE compatible devices, click HERE.

Edited by Corsair CJ
Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...